# getBuildCommands

abstract fun getBuildCommands(): DomainObjectSet<out EclipseBuildCommand>

Returns the Eclipse build commands configured on the project.

Some build commands are automatically added to the result based on the Gradle plugins applied on the project. For example, if the project applies the 'java' plugin the result will contain the `"org.eclipse.jdt.core.javabuilder"` build command. Note, that the exact list of automatically added build commands is not part of the API and can vary between Gradle releases.

The result can be customized via the 'eclipse' plugin configuration.

#### Return

The list of Eclipse build commands.

#### Since

2.9

#### Throws

UnsupportedMethodException

For Gradle versions older than 2.9, where this method is not supported.